#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	Address
Summary:	Email::Address - RFC 2822 Address Parsing and Creation
Summary(pl.UTF-8):	Email::Address - Parsowanie i tworzenie adresów zgodnych z RFC 2822
Name:		perl-Email-Address
Version:	1.900
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Email/RJBS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	40a76806c7cf5cb8ef65bc80328436b8
URL:		http://search.cpan.org/dist/Email-Address/
BuildRequires:	perl-Capture-Tiny
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class implements a complete RFC 2822 parser that locates email
addresses in strings and returns a list of Email::Address objects
found. Alternatley you may construct objects manually. The goal of
this software is to be correct, very very fast, and API compatible
with the MailTools version. Did I mention fast?

%description -l pl.UTF-8
Ta klasa implementuje zgodny z RFC 2822 parser który lokalizuje adresy
email w ciągach znaków i zwraca listę obiektów Email::Address. Możliwe
jest także tworzenie takich obiektów ręczenie. Oprogramowanie to ma
być poprawne, bardzo bardzo szybkie, i z API zgodnym z MailTools.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Email/Address.pm
%{_mandir}/man3/Email::Address.3pm*
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Email-Address.git;a=log;h=master

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b990f1
- up to 1.900

* Thu Mar 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b304f1b
- up to 1.898

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 7371933
- up to 1.895

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> e917296
- up to 1.893

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 03d6329
- updated to 1.892

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a8d414
- up to 1.889

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 37a36df
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 327068c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3dcde64
- converted to UTF-8

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> fc6af16
- rel 1, generic url

* Thu Aug 10 2006 Maciej Pijanka <agaran@pld-linux.org> 85ab801
- up to 1.86, rel 0.1, builds here

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 83bec5a
- formatting

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> ffef6a6
- spaces->tabs
- formatting

* Sun Oct 24 2004 blaass <blaass@pld-linux.org> e7a5314
- updated to 1.80

* Wed Oct 06 2004 Adam Gołębiowski <adamg@pld-linux.org> 483ef88
- updated to 1.6

* Sun Aug 22 2004 Adam Gołębiowski <adamg@pld-linux.org> a096fc1
- updated to 1.3

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> dc2ba3a
- release 2

* Sun Jun 06 2004 Adam Gołębiowski <adamg@pld-linux.org> 9c2b47b
- pl description

* Sat Jun 05 2004 Adam Gołębiowski <adamg@pld-linux.org> 3e0c172
- new

